Skip to main content
POST
/
v1
/
auth
/
token
Get access token
curl --request POST \
  --url https://api.dynamosql.com/v1/auth/token \
  --header 'Content-Type: application/json' \
  --data '
{
  "clientId": "<string>",
  "clientSecret": "<string>"
}
'
{
  "success": true,
  "data": {
    "accessToken": "eyJhbGciOiJSUzI1NiIs...",
    "refreshToken": "eyJjdHkiOiJKV1QiLCJl...",
    "expiresIn": 3600,
    "tokenType": "Bearer"
  }
}

Body

application/json
clientId
string
required

The API client ID from the DynamoSQL portal.

clientSecret
string
required

The API client secret. Treat as a password.

Response

Authentication successful.

success
boolean
required

true when the request was processed without errors, false otherwise. Always present.

data
object
error
object

Present in the response body when success is false.